Sponsored by

FX Blue news

There is a new beta version of the Personal Trade Copier, re-compiled specifically for use with v600+ of MT4. This version will not work with any copies of MT4 which are still on v509 (or older).

This new version has been created because "old" EAs continue to run on v600+ of MT4, but the backward-compatibility is not perfect. New EAs are more reliable on v600+ of MT4 than old EAs.

Click here for the beta version of the Personal Trade Copier

More news

Click here for more news from FX Blue